agency-time

POST /v1/agency/time/rates

Set a rate.

Tüm agency-time uç noktaları

Kimlik Doğrulama

Bir API anahtarını bearer token olarak gönderin. Bu uç nokta, teknik özelliklerde belirli bir yetki belirtmemektedir; bu nedenle, varsaymak yerine anahtarınıza ihtiyaç duyduğu en az yetkiyi verin ve yanıtı kontrol edin.

Kurum kimliğinizin yazılacağı yer

Bu uç nokta, JSON gövdesinde bir alan olarak org_id alır.

Kuruluş kimliğiniz (id), kontrol panelinizdeki API anahtarları ekranında, anahtarın hemen yanında yer alır. Yaptığınız her çağrıda aynı kimlik kullanılır.

Dene

Köşeli parantez içindeki her şeyi kendi değerlerinizle ve anahtar yer tutucusunu panonuzdan bir anahtarla değiştirin.

curl -X POST https://api.zinndigital.com/v1/agency/time/rates \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "scope": <string<task, project, client, org>>, "amount_minor": <integer>, "currency": <string>, "effective_from": <string> }'

Oturum açtınız mı? Panonuzdaki API konsolu, gerçek organizasyon kimliğinizi ve kendi anahtarınızı otomatik olarak doldurur ve isteği canlı API üzerinde çalıştırarak gerçek yanıtı görmenizi sağlar. Bu uç noktayı API konsolunda açın

Ayrıntılar

`amount_minor` is the price of ONE HOUR for `kind: hourly`, and the price of the whole job for `kind: fixed`. ⛔ A fixed price is billed **once** for the task it is set on, however many hours are logged against it — the minutes are still recorded and reported, they simply do not each carry money. It is not "an hourly rate of zero".

İstek gövdesi

AdTürZorunluNe olduğu
scopestring<task, project, client, org>Evet
scope_idstringHayır
kindstring<hourly, fixed>Hayır
amount_minorintegerEvet
currencystringEvet
effective_fromstringEvet
org_idstringHayır

Yanıt

AdTürZorunluNe olduğu
idstringEvet
scopestring<task, project, client, org>Evet
scope_idstringHayırThe task/project/client this applies to. `null` exactly when scope is `org`.
kindstring<hourly, fixed>Evet
amount_minorintegerEvetMinor units. For `hourly`, the price of ONE HOUR — ⛔ never a price per minute, and never divided by 60 anywhere on this API.
currencystringEvet
effective_fromstringEvetApplies to work done on or after this date. Resolution is against the **work's** date, never today, so a rate rise does not re-price last month.
archivedbooleanEvet

Bu uç noktanın dönderebileceği hatalar

401 · 403 · 422